summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO17
-rw-r--r--PKGBUILD12
2 files changed, 17 insertions, 12 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 3d1d45ed0c4..0f964a6c700 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,27 +1,30 @@
pkgbase = python-einsteinpy
pkgdesc = Python package for General Relativity
- pkgver = 0.3.0
+ pkgver = 0.3.1
pkgrel = 1
- url = https://einsteinpy.org/
+ url = https://einsteinpy.org
arch = i686
arch = x86_64
license = MIT
checkdepends = python-pytest
checkdepends = python-matplotlib
checkdepends = python-astropy
+ checkdepends = python-scipy
checkdepends = python-sympy
checkdepends = python-plotly
- checkdepends = python-numba>0.49.0
+ checkdepends = python-numba
makedepends = python-setuptools
- source = https://files.pythonhosted.org/packages/source/e/einsteinpy/einsteinpy-0.3.0.tar.gz
- md5sums = 2e294b8c4ea8cbd248748cabec70bb9b
+ source = https://files.pythonhosted.org/packages/source/e/einsteinpy/einsteinpy-0.3.1.tar.gz
+ md5sums = 208d50ec364eecc49a7d7db5de3bf83a
pkgname = python-einsteinpy
- depends = python>=3.6
+ depends = python>=3.7
depends = python-astropy
depends = python-matplotlib
depends = python-plotly>=4.0
+ depends = python-scipy>=1.0
depends = python-sympy>=1.1
- depends = python-numba>0.49.0
+ depends = python-numba
+ depends = python-einsteinpy_geodesics
optdepends = python-einsteinpy-doc: Documentation for EinsteinPy
diff --git a/PKGBUILD b/PKGBUILD
index 45844adae62..bc5aa07da87 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,16 +2,17 @@
pkgbase=python-einsteinpy
_pyname=${pkgbase#python-}
pkgname=("python-${_pyname}")
-pkgver=0.3.0
+pkgver=0.3.1
pkgrel=1
pkgdesc="Python package for General Relativity"
arch=('i686' 'x86_64')
-url="https://einsteinpy.org/"
+url="https://einsteinpy.org"
license=('MIT')
makedepends=('python-setuptools')
-checkdepends=('python-pytest' 'python-matplotlib' 'python-astropy' 'python-sympy' 'python-plotly' 'python-numba>0.49.0')
+checkdepends=('python-pytest' 'python-matplotlib' 'python-astropy' 'python-scipy' 'python-sympy' 'python-plotly' 'python-numba')
+#'python-numba>0.49.0')
source=("https://files.pythonhosted.org/packages/source/${_pyname:0:1}/${_pyname}/${_pyname}-${pkgver}.tar.gz")
-md5sums=('2e294b8c4ea8cbd248748cabec70bb9b')
+md5sums=('208d50ec364eecc49a7d7db5de3bf83a')
build() {
cd ${srcdir}/${_pyname}-${pkgver}
@@ -27,7 +28,8 @@ check() {
}
package_python-einsteinpy() {
- depends=('python>=3.6' 'python-astropy' 'python-matplotlib' 'python-plotly>=4.0' 'python-sympy>=1.1' 'python-numba>0.49.0')
+ depends=('python>=3.7' 'python-astropy' 'python-matplotlib' 'python-plotly>=4.0' 'python-scipy>=1.0' 'python-sympy>=1.1' 'python-numba' 'python-einsteinpy_geodesics')
+ #'python-numba>0.49.0')
optdepends=('python-einsteinpy-doc: Documentation for EinsteinPy')
cd ${srcdir}/${_pyname}-${pkgver}